# ``twisted`.`mail`.`imap4`.`MemoryAccount``

class documentation

`class MemoryAccount(MemoryAccountWithoutNamespaces): (source)`

Implements interfaces: `twisted.mail.interfaces.INamespacePresenter`

View In Hierarchy

Undocumented

Method | `getOtherNamespaces` | Undocumented
Method | `getPersonalNamespaces` | Report the available personal namespaces.
Method | `getSharedNamespaces` | Report the available shared namespaces.
Method | `getUserNamespaces` | Report the available user namespaces.

Inherited from `MemoryAccountWithoutNamespaces`:

Method | `__init__` | Undocumented
Method | `addMailbox` | Add a new mailbox to this account
Method | `allocateID` | Undocumented
Method | `create` | Create a new mailbox from the given hierarchical name.
Method | `delete` | Delete the mailbox with the specified name.
Method | `isSubscribed` | Check the subscription status of a mailbox
Method | `listMailboxes` | List all the mailboxes that meet a certain criteria
Method | `rename` | Rename a mailbox
Method | `select` | Acquire a mailbox, given its name.
Method | `subscribe` | Subscribe to a mailbox
Method | `unsubscribe` | Unsubscribe from a mailbox
Class Variable | `top_id` | Undocumented
Instance Variable | `mailboxes` | Undocumented
Instance Variable | `name` | Undocumented
Instance Variable | `subscriptions` | Undocumented
Method | `_emptyMailbox` | Undocumented
Method | `_inferiorNames` | Undocumented

def getOtherNamespaces(self): (source)

Undocumented

def getPersonalNamespaces(self): (source)
from `twisted.mail.interfaces.INamespacePresenter`

Report the available personal namespaces.

Typically there should be only one personal namespace. A common name for it is `""`, and its hierarchical delimiter is usually `"/"`.

Returns
iterable of two-tuples of strings | The personal namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned.

def getSharedNamespaces(self): (source)
from `twisted.mail.interfaces.INamespacePresenter`

Report the available shared namespaces.

Shared namespaces do not belong to any individual user but are usually to one or more of them. Examples of shared namespaces might be `"#news"` for a usenet gateway.

Returns
iterable of two-tuples of strings | The shared namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned.

def getUserNamespaces(self): (source)
from `twisted.mail.interfaces.INamespacePresenter`

Report the available user namespaces.

These are namespaces that contain folders belonging to other users access to which this account has been granted.

Returns
iterable of two-tuples of strings | The user namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned.